Package org.eclipse.emf.compare.ide.ui.internal.preferences

## Class ModelResolutionPreferencePage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.preference.PreferencePage
    - - org.eclipse.jface.preference.FieldEditorPreferencePage
      - - org.eclipse.emf.compare.ide.ui.internal.preferences.ModelResolutionPreferencePage

All Implemented Interfaces:
  `EventListener`, `org.eclipse.jface.dialogs.IDialogPage`, `org.eclipse.jface.dialogs.IMessageProvider`, `org.eclipse.jface.preference.IPreferencePage`, `org.eclipse.jface.util.IPropertyChangeListener`, `org.eclipse.ui.IWorkbenchPreferencePage`

    public class ModelResolutionPreferencePage
    extends org.eclipse.jface.preference.FieldEditorPreferencePage
    implements org.eclipse.ui.IWorkbenchPreferencePage

Preference page for the model resolution, allowing users to disable the resolution altogether or to configure how EMF Compare will handle it.

### Field Summary

### Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

`FLAT, GRID, MARGIN_HEIGHT, MARGIN_WIDTH, VERTICAL_SPACING`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
`ModelResolutionPreferencePage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `createFieldEditors()`
`void` `init​(org.eclipse.ui.IWorkbench workbench)`
`protected void` `performDefaults()`
`void` `propertyChange​(org.eclipse.jface.util.PropertyChangeEvent event)`

### Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

`addField, adjustGridLayout, applyFont, checkState, createContents, dispose, getFieldEditorParent, initialize, performOk, setVisible`

### Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, noDefaultButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

### Constructor Detail

#### ModelResolutionPreferencePage

    public ModelResolutionPreferencePage()

### Method Detail

#### createFieldEditors

    protected void createFieldEditors()

Specified by:
  `createFieldEditors` in class `org.eclipse.jface.preference.FieldEditorPreferencePage`

#### propertyChange

    public void propertyChange​(org.eclipse.jface.util.PropertyChangeEvent event)

Specified by:
  `propertyChange` in interface `org.eclipse.jface.util.IPropertyChangeListener`
Overrides:
  `propertyChange` in class `org.eclipse.jface.preference.FieldEditorPreferencePage`

#### performDefaults

    protected void performDefaults()

Overrides:
  `performDefaults` in class `org.eclipse.jface.preference.FieldEditorPreferencePage`

#### init

    public void init​(org.eclipse.ui.IWorkbench workbench)

Specified by:
  `init` in interface `org.eclipse.ui.IWorkbenchPreferencePage`